#header h1,
#header h2 {
  text-transform: uppercase;
}

:root {
  --accent: #4636ec;
}

body {
  font-family: sans-serif;
  overflow-x: hidden;
  margin: 0;
  background: rgb(249 250 251) url("img/bollore_bg.thin.jpg") no-repeat fixed
    center left;
  background-size: cover;
  font-size: 1.5em;
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: 900;
}

#header {
  display: grid;
  grid-template-rows: 1fr auto;
  width: 100%;
  height: 90vh;
  border-bottom: 25px solid var(--accent);
  top: 0;
  background: white;
  z-index: 2;
}

#header > div {
  display: grid;
  place-items: center;
  text-align: center;
}

#header p {
  font-weight: 900;
  font-size: 1.5em;
}

#container {
  border-bottom: 25px solid var(--accent);
  width: 100%;
  padding-top: 10vh;
}

#container .content {
  background-color: white;
  width: 50%;
  margin: 0px auto 60px auto;
  padding: 1.5% 3%;
  box-sizing: border-box;
}

.boite {
  display: flex;
  justify-content: space-evenly;
}

.boite a:not(footer .boite a) {
  width: 100%;
  max-width: 50%;
  text-decoration: none;
  color: black;
  text-align: center;
  box-sizing: border-box;
  box-shadow: inset 0 0 0 4px white, inset 0 0 0 8px black;
  margin: 0 auto;
  padding: 24px 12px;
}

footer .boite a {
  color: black;
  text-align: center;
  width: 40%;
}

.boite img {
  max-width: 150px;
  width: 80%;
  max-height: 90px;
  height: auto;
  object-fit: contain;
  margin: auto;
}

footer {
  background-color: white;
  padding: 1em;
}

a {
  color: var(--accent);
  text-decoration: underline;
}

a:hover {
  opacity: 0.8;
}

#passele {
  display: block;
  margin: auto;
}

img#passele {
  width: 38vw;
}

.centerimg {
  width: 100%;
}

.centerimg img,
.centerimg a {
  width: 122px;
  margin: 1em auto;
  display: block;
  color: black;
  text-align: center;
}

footer .boite {
  width: 50%;
  margin: 0 auto 50px auto;
  align-items: stretch;
}

footer .boite b {
  margin-bottom: 10px;
  display: block;
}

footer .boite.b2 img {
  max-width: 40%;
  max-height: 40%;
}

footer {
  text-align: center;
  padding-top: 2em;
}

#loin {
  height: 0;
  display: none;
  transition: height 1s ease;
  margin-top: -200px;
  padding-top: 200px;
}

#loin:target {
  height: auto;
  display: block;
  transition: height 1s ease;
}

.rs img {
  width: 42%;
  margin: 2%;
  border: solid 4px black;
}

.cit img {
  width: 96%;
  margin: 2%;
  border: solid 4px black;
}

img {
  max-width: 100%;
  height: auto;
}

ol.tuto li {
  list-style-type: none;
  counter-increment: step-counter;
  clear: both;
  display: flex;
  align-items: baseline;
  flex-direction: row;
  position: relative;
  margin-bottom: 10px;
}

div:has(.copy-text) {
  width: 100%;
}

ol.tuto li::before {
  content: counter(step-counter);
  border-radius: 50%;
  min-height: 35px;
  min-width: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  background: #000;
  font-weight: bold;
  margin-right: 15px;
  margin-left: -35px;
  aspect-ratio: 1;
  padding: 5px;
}

details summary {
  cursor: context-menu;
}

details {
  margin-top: 10pt;
  border: 1px solid #aaa;
  padding: 0.5em 0.5em 0;
}

summary {
  margin: -0.5em -0.5em 0;
  padding: 0.5em;
}

summary::after {
  content: "Cliquez pour plus de détais...";
  font-size: x-small;
}

details summary > * {
  display: inline;
}

details[open] {
  padding: 0.5em;
}

details[open] summary {
  border-bottom: 1px solid #aaa;
  margin-bottom: 0.5em;
}

/* https://codepen.io/foxbeefly/pen/dyWbQgJ */
.copy-text {
  position: relative;
  padding: 4px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
}
.copy-text input.text {
  padding: 10px;
  font-size: 28px;
  border: none;
  outline: none;
  width: 100%;
  display: block;
  font-family: 'Courier New', Courier, monospace;
}
.copy-text button {
  padding: 10px;
  background: var(--accent);
  color: #fff;
  border: none;
  outline: none;
  border-radius: 10px;
  cursor: pointer;
  aspect-ratio: 1;
  width: auto;
}

.copy-text button:active {
  background: #809ce2;
}
.copy-text button::before {
  content: "Copied";
  position: absolute;
  top: -45px;
  right: 0px;
  background: var(--accent);
  padding: 8px 10px;
  border-radius: 20px;
  font-size: 15px;
  display: none;
}
.copy-text button::after {
  content: "";
  position: absolute;
  top: -20px;
  right: 25px;
  width: 10px;
  height: 10px;
  background: var(--accent);
  transform: rotate(45deg);
  display: none;
}
.copy-text.active button::before,
.copy-text.active button::after {
  display: block;
}

/* Media Queries : version mobile */
@media (max-width: 1100px) {
  #container .content {
    width: 95%;
    margin: 0px auto 60px auto;
  }

  .boite {
    flex-wrap: wrap;
  }

  .boite .ou {
    position: absolute;
    min-height: 2em;
    min-width: 2em;
    font-size: 0.75em;
  }

  footer .boite {
    width: auto;
    flex-direction: row;
    flex-wrap: wrap;
  }

  footer .boite.b2 a {
    width: calc(100% / 3);
  }

  footer .boite img {
    width: auto;
    height: auto;
    max-height: 40%;
    max-width: 80%;
  }

  ol.tuto li::before {
    min-width: 1.5em;
    min-height: 1.5em;
  }
}

@media (orientation: portrait) {
  body {
    font-size: 3em;
  }
}
